# Uses of Class
jdk.jshell.Diag

Packages that use Diag
Package
Description
jdk.jshell
Provides interfaces for creating tools, such as a Read-Eval-Print Loop (REPL), which interactively evaluate "snippets" of Java programming language code.

## Uses of Diag in jdk.jshell

Methods in jdk.jshell that return types with arguments of type Diag
Modifier and Type
Method
Description
`Stream<Diag>`
JShell.`diagnostics(Snippet snippet)`
Return the diagnostics of the most recent evaluation of the snippet.